Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser
Class VisualiserPlugin

    java.lang.Object
      AbstractUIPlugin
          org.eclipse.contribution.visualiser.VisualiserPlugin

public class VisualiserPlugin
extends AbstractUIPlugin

The main plugin class for the Visualiser plugin.

See Also:
  Serialized Form

Field Summary
`static int` | `LOGLEVEL`
`static Menu` | `menu`
`static Visualiser` | `visualiser`

Constructor Summary
`VisualiserPlugin(IPluginDescriptor descriptor)` Plugin ctor - load the resource bundle, process any defined extensions and add the resource change listener.

Method Summary
`static IWorkbenchWindow` | `getActiveWorkbenchWindow()` Gets the active workbench window
`static VisualiserPlugin` | `getDefault()` Returns the shared instance as VisualiserPlugin is a singleton.
`static ProviderManager` | `getProviderManager()` Getter method for the provider manager
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static IWorkspace` | `getWorkspace()` Returns the workspace instance.
`static void` | `log(int logLevel, java.lang.String message)` Log the given message at the given log level.
`static void` | `refresh()` Refresh the Visualiser views
`void` | `removeMenu()` Remove the Visualiser Menu view
`void` | `removeVisualiser()` Remove the Visualiser view
`void` | `setMenu(Menu menu)` Set the Visualiser Menu view
`void` | `setVisualiser(Visualiser visualiser)` Set the Visualiser view
`static void` | `trace(java.lang.String string)` Simple trace routine - we can turn trace on and off by commenting out the body.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGLEVEL

    public static int LOGLEVEL

### visualiser

    public static Visualiser visualiser

### menu

    public static Menu menu

Constructor Detail

### VisualiserPlugin

    public VisualiserPlugin(IPluginDescriptor descriptor)

  Plugin ctor - load the resource bundle, process any defined extensions and add the resource change listener.

Method Detail

### getProviderManager

    public static ProviderManager getProviderManager()

  Getter method for the provider manager

  Returns:
    the provider manager

### refresh

    public static void refresh()

  Refresh the Visualiser views

### getActiveWorkbenchWindow

    public static IWorkbenchWindow getActiveWorkbenchWindow()

  Gets the active workbench window

### getDefault

    public static VisualiserPlugin getDefault()

  Returns the shared instance as VisualiserPlugin is a singleton.

### getWorkspace

    public static IWorkspace getWorkspace()

  Returns the workspace instance.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### trace

    public static void trace(java.lang.String string)

  Simple trace routine - we can turn trace on and off by commenting out the body.

### setVisualiser

    public void setVisualiser(Visualiser visualiser)

  Set the Visualiser view

### removeVisualiser

    public void removeVisualiser()

  Remove the Visualiser view

### setMenu

    public void setMenu(Menu menu)

  Set the Visualiser Menu view

### removeMenu

    public void removeMenu()

  Remove the Visualiser Menu view

### log

    public static void log(int logLevel,
                           java.lang.String message)

  Log the given message at the given log level.

  Parameters:
    `logLevel` -
    `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD